using System.Threading.Tasks;
using Volo.Abp.DependencyInjection;

namespace ApiA.Data
{
    /* This is used if database provider does't define
     * IApiADbSchemaMigrator implementation.
     */
    public class NullApiADbSchemaMigrator : IApiADbSchemaMigrator, ITransientDependency
    {
        public Task MigrateAsync()
        {
            return Task.CompletedTask;
        }
    }
}